Index: pgadmin/frm/frmOptions.cpp
===================================================================
--- pgadmin/frm/frmOptions.cpp	(révision 7978)
+++ pgadmin/frm/frmOptions.cpp	(copie de travail)
@@ -540,7 +540,11 @@
 
 void frmOptions::OnBrowseLogFile(wxCommandEvent &ev)
 {
+#ifdef __WXMSW__
     wxFileDialog logFile(this, _("Select log file"), wxT(""), wxT(""), _("Log files (*.log)|*.log|All files (*.*)|*.*"));
+#else
+    wxFileDialog logFile(this, _("Select log file"), wxT(""), wxT(""), _("Log files (*.log)|*.log|All files (*)|*"));
+#endif
     logFile.SetDirectory(wxGetHomeDir());
 
     if (logFile.ShowModal() == wxID_OK)
Index: pgadmin/frm/frmBackupServer.cpp
===================================================================
--- pgadmin/frm/frmBackupServer.cpp	(révision 7978)
+++ pgadmin/frm/frmBackupServer.cpp	(copie de travail)
@@ -92,7 +92,11 @@
     wxString title, prompt, FilenameOnly;
 
     title  = _("Select output file");
+#ifdef __WXMSW__
     prompt = _("Query files (*.sql)|*.sql|All files (*.*)|*.*");
+#else
+    prompt = _("Query files (*.sql)|*.sql|All files (*)|*");
+#endif
     
     wxFileName::SplitPath(txtFilename->GetValue(), NULL, NULL, &FilenameOnly, NULL);
     wxFileDialog file(this, title, ::wxPathOnly(txtFilename->GetValue()), FilenameOnly, prompt, wxFD_SAVE);
Index: pgadmin/frm/events.cpp
===================================================================
--- pgadmin/frm/events.cpp	(révision 7978)
+++ pgadmin/frm/events.cpp	(copie de travail)
@@ -779,7 +779,11 @@
     wxString file;
     settings->Read(wxT("frmMain/LastFile"), &file, wxEmptyString);
 
+#ifdef __WXMSW__
     wxFileDialog filename(this, _("Select output file"), ::wxPathOnly(file), file, _("SQL Scripts (*.sql)|*.sql|All files (*.*)|*.*"), wxFD_SAVE | wxFD_OVERWRITE_PROMPT);
+#else
+    wxFileDialog filename(this, _("Select output file"), ::wxPathOnly(file), file, _("SQL Scripts (*.sql)|*.sql|All files (*)|*"), wxFD_SAVE | wxFD_OVERWRITE_PROMPT);
+#endif
 
     // Show the dialogue
     if (filename.ShowModal() == wxID_OK)
Index: pgadmin/frm/frmConfig.cpp
===================================================================
--- pgadmin/frm/frmConfig.cpp	(révision 7978)
+++ pgadmin/frm/frmConfig.cpp	(copie de travail)
@@ -260,8 +260,14 @@
     if (CheckChanged(true))
         return;
 
+#ifdef __WXMSW__
     wxFileDialog dlg(this, _("Open configuration file"), lastDir, wxT(""), 
         _("Configuration files (*.conf)|*.conf|All files (*.*)|*.*"), wxFD_OPEN);
+#else
+    wxFileDialog dlg(this, _("Open configuration file"), lastDir, wxT(""), 
+        _("Configuration files (*.conf)|*.conf|All files (*)|*"), wxFD_OPEN);
+#endif
+
     if (dlg.ShowModal() == wxID_OK)
     {
         lastFilename=dlg.GetFilename();
@@ -293,8 +299,13 @@
 
 void frmConfig::OnSaveAs(wxCommandEvent& event)
 {
+#ifdef __WXMSW__
     wxFileDialog *dlg=new wxFileDialog(this, _("Save configuration file as"), lastDir, lastFilename, 
         _("Configuration files (*.conf)|*.conf|All files (*.*)|*.*"), wxFD_SAVE|wxFD_OVERWRITE_PROMPT);
+#else
+    wxFileDialog *dlg=new wxFileDialog(this, _("Save configuration file as"), lastDir, lastFilename, 
+        _("Configuration files (*.conf)|*.conf|All files (*)|*"), wxFD_SAVE|wxFD_OVERWRITE_PROMPT);
+#endif
     if (dlg->ShowModal() == wxID_OK)
     {
         lastFilename=dlg->GetFilename();
Index: pgadmin/frm/frmBackup.cpp
===================================================================
--- pgadmin/frm/frmBackup.cpp	(révision 7978)
+++ pgadmin/frm/frmBackup.cpp	(copie de travail)
@@ -120,12 +120,20 @@
     if (rbxFormat->GetSelection() == 2) // plain
     {
         title  = _("Select output file");
+#ifdef __WXMSW__
         prompt = _("Query files (*.sql)|*.sql|All files (*.*)|*.*");
+#else
+        prompt = _("Query files (*.sql)|*.sql|All files (*)|*");
+#endif
     }
     else
     {
         title  = _("Select backup filename");
+#ifdef __WXMSW__
         prompt = _("Backup files (*.backup)|*.backup|All files (*.*)|*.*");
+#else
+        prompt = _("Backup files (*.backup)|*.backup|All files (*)|*");
+#endif
     }
 
     wxFileName::SplitPath(txtFilename->GetValue(), NULL, NULL, &FilenameOnly, NULL);
Index: pgadmin/frm/frmQuery.cpp
===================================================================
--- pgadmin/frm/frmQuery.cpp	(révision 7978)
+++ pgadmin/frm/frmQuery.cpp	(copie de travail)
@@ -968,8 +968,13 @@
 
 void frmQuery::OnSaveHistory(wxCommandEvent& event)
 {
+#ifdef __WXMSW__
     wxFileDialog *dlg=new wxFileDialog(this, _("Save history"), lastDir, wxEmptyString,
         _("Log files (*.log)|*.log|All files (*.*)|*.*"), wxFD_SAVE|wxFD_OVERWRITE_PROMPT);
+#else
+    wxFileDialog *dlg=new wxFileDialog(this, _("Save history"), lastDir, wxEmptyString,
+        _("Log files (*.log)|*.log|All files (*)|*"), wxFD_SAVE|wxFD_OVERWRITE_PROMPT);
+#endif
     if (dlg->ShowModal() == wxID_OK)
     {
         if (!FileWrite(dlg->GetPath(), msgHistory->GetValue(), false))
@@ -1478,8 +1483,14 @@
     if (CheckChanged(true))
         return;
 
+#ifdef __WXMSW__
     wxFileDialog dlg(this, _("Open query file"), lastDir, wxT(""),
         _("Query files (*.sql)|*.sql|pgScript files (*.pgs)|*.pgs|All files (*.*)|*.*"), wxFD_OPEN);
+#else
+    wxFileDialog dlg(this, _("Open query file"), lastDir, wxT(""),
+        _("Query files (*.sql)|*.sql|pgScript files (*.pgs)|*.pgs|All files (*)|*"), wxFD_OPEN);
+#endif
+
     if (dlg.ShowModal() == wxID_OK)
     {
         lastFilename=dlg.GetFilename();
@@ -1643,8 +1654,13 @@
 
 void frmQuery::OnSaveAs(wxCommandEvent& event)
 {
+#ifdef __WXMSW__
     wxFileDialog *dlg=new wxFileDialog(this, _("Save query file as"), lastDir, lastFilename,
         _("Query files (*.sql)|*.sql|All files (*.*)|*.*"), wxFD_SAVE|wxFD_OVERWRITE_PROMPT);
+#else
+    wxFileDialog *dlg=new wxFileDialog(this, _("Save query file as"), lastDir, lastFilename,
+        _("Query files (*.sql)|*.sql|All files (*)|*"), wxFD_SAVE|wxFD_OVERWRITE_PROMPT);
+#endif
     if (dlg->ShowModal() == wxID_OK)
     {
         lastFilename=dlg->GetFilename();
Index: pgadmin/frm/frmBackupGlobals.cpp
===================================================================
--- pgadmin/frm/frmBackupGlobals.cpp	(révision 7978)
+++ pgadmin/frm/frmBackupGlobals.cpp	(copie de travail)
@@ -103,7 +103,11 @@
     wxString title, prompt, FilenameOnly;
 
     title  = _("Select output file");
+#ifdef __WXMSW__
     prompt = _("Query files (*.sql)|*.sql|All files (*.*)|*.*");
+#else
+    prompt = _("Query files (*.sql)|*.sql|All files (*)|*");
+#endif
 
     wxFileName::SplitPath(txtFilename->GetValue(), NULL, NULL, &FilenameOnly, NULL);
     wxFileDialog file(this, title, ::wxPathOnly(txtFilename->GetValue()), FilenameOnly, prompt, wxFD_SAVE);
Index: pgadmin/frm/frmMainConfig.cpp
===================================================================
--- pgadmin/frm/frmMainConfig.cpp	(révision 7978)
+++ pgadmin/frm/frmMainConfig.cpp	(copie de travail)
@@ -640,8 +640,13 @@
     if (CheckChanged(true))
         return;
 
+#ifdef __WXMSW__
     wxFileDialog dlg(this, _("Open configuration file"), lastDir, wxT(""), 
         _("Configuration files (*.conf)|*.conf|All files (*.*)|*.*"), wxFD_OPEN);
+#else
+    wxFileDialog dlg(this, _("Open configuration file"), lastDir, wxT(""), 
+        _("Configuration files (*.conf)|*.conf|All files (*)|*"), wxFD_OPEN);
+#endif
     if (dlg.ShowModal() == wxID_OK)
     {
         Init();
Index: pgadmin/frm/frmReport.cpp
===================================================================
--- pgadmin/frm/frmReport.cpp	(révision 7978)
+++ pgadmin/frm/frmReport.cpp	(copie de travail)
@@ -440,7 +440,11 @@
         if (!wxFile::Exists(def))
             def.Empty();
    
+#ifdef __WXMSW__
         wxFileDialog file(this, _("Select stylesheet filename"), wxGetHomeDir(), def, _("HTML Stylesheet files (*.css)|*.css|All files (*.*)|*.*"), wxFD_OPEN);
+#else
+        wxFileDialog file(this, _("Select stylesheet filename"), wxGetHomeDir(), def, _("HTML Stylesheet files (*.css)|*.css|All files (*)|*"), wxFD_OPEN);
+#endif
 
         if (file.ShowModal() == wxID_OK)
         {
@@ -455,7 +459,11 @@
         if (!wxFile::Exists(def))
             def.Empty();
    
+#ifdef __WXMSW__
         wxFileDialog file(this, _("Select stylesheet filename"), wxGetHomeDir(), def, _("XML Stylesheet files (*.xsl)|*.xsl|All files (*.*)|*.*"), wxFD_OPEN);
+#else
+        wxFileDialog file(this, _("Select stylesheet filename"), wxGetHomeDir(), def, _("XML Stylesheet files (*.xsl)|*.xsl|All files (*)|*"), wxFD_OPEN);
+#endif
 
         if (file.ShowModal() == wxID_OK)
         {
@@ -469,8 +477,13 @@
 {
     if (rbHtml->GetValue())
     {
+#ifdef __WXMSW__
         wxFileDialog file(this, _("Select output filename"), wxGetHomeDir(), txtHtmlFile->GetValue(),
             _("HTML files (*.html)|*.html|All files (*.*)|*.*"), wxFD_SAVE | wxFD_OVERWRITE_PROMPT);
+#else
+        wxFileDialog file(this, _("Select output filename"), wxGetHomeDir(), txtHtmlFile->GetValue(),
+            _("HTML files (*.html)|*.html|All files (*)|*"), wxFD_SAVE | wxFD_OVERWRITE_PROMPT);
+#endif
 
         if (file.ShowModal() == wxID_OK)
         {
@@ -480,8 +493,13 @@
     }
     else
     {
+#ifdef __WXMSW__
         wxFileDialog file(this, _("Select output filename"), wxGetHomeDir(), txtXmlFile->GetValue(),
             _("XML files (*.xml)|*.xml|All files (*.*)|*.*"), wxFD_SAVE | wxFD_OVERWRITE_PROMPT);
+#else
+        wxFileDialog file(this, _("Select output filename"), wxGetHomeDir(), txtXmlFile->GetValue(),
+            _("XML files (*.xml)|*.xml|All files (*)|*"), wxFD_SAVE | wxFD_OVERWRITE_PROMPT);
+#endif
 
         if (file.ShowModal() == wxID_OK)
         {
Index: pgadmin/frm/frmExport.cpp
===================================================================
--- pgadmin/frm/frmExport.cpp	(révision 7978)
+++ pgadmin/frm/frmExport.cpp	(copie de travail)
@@ -319,8 +319,13 @@
         filename = wxFileName(txtFilename->GetValue()).GetFullName();
     }
 
+#ifdef __WXMSW__
     wxFileDialog file(this, _("Select export filename"), directory, filename, 
         _("CSV files (*.csv)|*.csv|Data files (*.dat)|*.dat|All files (*.*)|*.*"), wxFD_SAVE | wxFD_OVERWRITE_PROMPT);
+#else
+    wxFileDialog file(this, _("Select export filename"), directory, filename, 
+        _("CSV files (*.csv)|*.csv|Data files (*.dat)|*.dat|All files (*)|*"), wxFD_SAVE | wxFD_OVERWRITE_PROMPT);
+#endif
 
     if (file.ShowModal() == wxID_OK)
     {
Index: pgadmin/frm/frmRestore.cpp
===================================================================
--- pgadmin/frm/frmRestore.cpp	(révision 7978)
+++ pgadmin/frm/frmRestore.cpp	(copie de travail)
@@ -141,8 +141,13 @@
     wxString FilenameOnly;    
     wxFileName::SplitPath(txtFilename->GetValue(), NULL, NULL, &FilenameOnly, NULL);
     
+#ifdef __WXMSW__
     wxFileDialog file(this, _("Select backup filename"), ::wxPathOnly(txtFilename->GetValue()), FilenameOnly, 
         _("Backup files (*.backup)|*.backup|All files (*.*)|*.*"));
+#else
+    wxFileDialog file(this, _("Select backup filename"), ::wxPathOnly(txtFilename->GetValue()), FilenameOnly, 
+        _("Backup files (*.backup)|*.backup|All files (*)|*"));
+#endif
 
     if (file.ShowModal() == wxID_OK)
     {
